Name:           perl-Pipeline
Version:        3.12
Release:        10%{?dist}
Summary:        Generic pipeline interface
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Pipeline/
Source0:        http://www.cpan.org/authors/id/R/RC/RCLAMP/Pipeline-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Data::Structure::Util) >= 0.04
BuildRequires:  perl(Data::UUID) >= 0.01
BuildRequires:  perl(Error) >= 0.15
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::Null) >= 0.01
BuildRequires:  perl(IO::String) >= 0.01
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(Test::More)
#Opt. dep. of the testsuite/Not yet available in Fedora
#BuildRequires:  perl(Acme::Colour)

Requires:       perl(Data::Structure::Util) >= 0.04
Requires:       perl(Data::UUID) >= 0.01
Requires:       perl(Error) >= 0.15
Requires:       perl(IO::Null) >= 0.01
Requires:       perl(IO::String) >= 0.01
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Pipelines are a mechanism to process data. They are designed to be plugged
together to make fairly complex operations act in a fairly straightforward
manner, cleanly, and simply.

%prep
%setup -q -n Pipeline-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.12-10
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 3.12-9
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.12-6
- rebuild for new perl

* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> 3.12-5
- BR: perl(Test::More) (BZ 419631).
- Adjust License-tag.

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 3.12-4
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 3.12-3
- Fix find option order.

* Thu May 25 2006 Steven Pritchard <steve@kspei.com> 3.12-2
- Add BR: File::Find::Rule for better test coverage.

* Fri Mar 24 2006 Steven Pritchard <steve@kspei.com> 3.12-1
- Specfile autogenerated by cpanspec 1.63.
- Drop NINJA from docs.
- Fix License.
